<template>
  <li :class="{ active: isActive === $route.path}" class="nav-item">
    <nuxt-link :to="to" class="menu-item" @click.native="setActive()">
      <i :class="[iconClass, {selected:isActive === $route.path}]">{{ step }}</i>
      <span :data-il8n="dataIl8n" class="menu-title">
        {{ name }}
      </span>
    </nuxt-link>
  </li>
</template>
<script>
export default {
  props: {
    to: {
      type: String,
      default: '/',
      required: true
    },
    dataIl8n: {
      type: String,
      default: '',
      required: false
    },
    name: {
      type: String,
      default: '',
      required: true
    },
    iconClass: {
      type: String,
      default: '',
      required: false
    },
    step: {
      type: String,
      default: '',
      required: false
    }
  },

  data() {
    return {
      isActive: this.to == this.$route.path,
      activePath: {}
    }
  },
  mounted() {
    this.isActive = this.to
  },
  methods: {
    setActive() {
      this.isActive = this.$route.path
    }
  }
}
</script>
